path: /build/build/hunspell-app-text-1.7.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="ncurses readline" emerge app-text/hunspell -pv -t && \
    USE="ncurses readline" emerge -j ${JOBS} --nodeps app-text/hunspell
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/hunspell && luet-portage --dir /pkgdir/hunspell
    app-text/hunspell && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c210d33787f116c5c689673100e940f0a0202121cb72dd85bd857e375915254
  package:
    name: hunspell
    version: 1.7.0
    category: app-text
    use_flags:
    - ncurses
    - readline
    requires:
    - name: macaroni-funtoo-race12
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Hunspell spell checker - an improved replacement for myspell in OOo
    uri:
    - https://github.com/hunspell
    license: MPL-1.1 GPL-2 LGPL-2.1
    buildtimestamp: 2023-09-01 17:16:22.772778424 +0000 UTC m=+123.308781887
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      DEPEND: ncurses? ( sys-libs/ncurses:0= ) readline? ( sys-libs/readline:= ) sys-devel/gettext
      IUSE: ncurses nls readline static-libs l10n_af l10n_bg l10n_ca l10n_cs l10n_cy
        l10n_da l10n_de l10n_de-1901 l10n_el l10n_en l10n_eo l10n_es l10n_et l10n_fo
        l10n_fr l10n_ga l10n_gl l10n_he l10n_hr l10n_hu l10n_ia l10n_id l10n_is l10n_it
        l10n_kk l10n_km l10n_ku l10n_lt l10n_lv l10n_mi l10n_mk l10n_ms l10n_nb l10n_nl
        l10n_nn l10n_pl l10n_pt l10n_pt-BR l10n_ro l10n_ru l10n_sk l10n_sl l10n_sq
        l10n_sv l10n_sw l10n_tn l10n_uk l10n_zu
      RDEPEND: ncurses? ( sys-libs/ncurses:0= ) readline? ( sys-libs/readline:= )
      emerge.packages: app-text/hunspell
      kit: text-kit
      original.package.name: app-text/hunspell
      original.package.slot: "0"
      original.package.version: 1.7.0-r1
    treedir: /build/packages
  package_dir: /pkgdir/hunspell
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 05a6b61e7a0420398bb37d9964f25bef5ae5931d9c1fbcc06722f323cc494f90
compressiontype: zstd
files:
- usr/bin/affixcompress
- usr/bin/hunspell
- usr/bin/hunspell-analyze
- usr/bin/hunspell-chmorph
- usr/bin/hunspell-munch
- usr/bin/hunspell-unmunch
- usr/bin/hunzip
- usr/bin/hzip
- usr/bin/ispellaff2myspell
- usr/bin/makealias
- usr/bin/wordforms
- usr/bin/wordlist2hunspell
- usr/include/hunspell/atypes.hxx
- usr/include/hunspell/hunspell.h
- usr/include/hunspell/hunspell.hxx
- usr/include/hunspell/hunvisapi.h
- usr/include/hunspell/w_char.hxx
- usr/lib64/libhunspell-1.7.so
- usr/lib64/libhunspell-1.7.so.0
- usr/lib64/libhunspell-1.7.so.0.0.1
- usr/lib64/libhunspell.so
- usr/lib64/pkgconfig/hunspell.pc
- usr/share/doc/hunspell-1.7.0-r1/AUTHORS.bz2
- usr/share/doc/hunspell-1.7.0-r1/ChangeLog.bz2
- usr/share/doc/hunspell-1.7.0-r1/NEWS.bz2
- usr/share/doc/hunspell-1.7.0-r1/README.md.bz2
- usr/share/doc/hunspell-1.7.0-r1/THANKS.bz2
- usr/share/doc/hunspell-1.7.0-r1/license.hunspell.bz2
- usr/share/doc/hunspell-1.7.0-r1/license.myspell.bz2
- usr/share/man/hu/man1/hunspell.1.bz2
- usr/share/man/man1/hunspell.1.bz2
- usr/share/man/man1/hunzip.1.bz2
- usr/share/man/man1/hzip.1.bz2
- usr/share/man/man3/hunspell.3.bz2
- usr/share/man/man5/hunspell.5.bz2
- var/db/pkg/app-text/hunspell-1.7.0-r1/BDEPEND
- var/db/pkg/app-text/hunspell-1.7.0-r1/BUILD_TIME
- var/db/pkg/app-text/hunspell-1.7.0-r1/CATEGORY
- var/db/pkg/app-text/hunspell-1.7.0-r1/CBUILD
- var/db/pkg/app-text/hunspell-1.7.0-r1/CFLAGS
- var/db/pkg/app-text/hunspell-1.7.0-r1/CHOST
- var/db/pkg/app-text/hunspell-1.7.0-r1/CONTENTS
- var/db/pkg/app-text/hunspell-1.7.0-r1/COUNTER
- var/db/pkg/app-text/hunspell-1.7.0-r1/CXXFLAGS
- var/db/pkg/app-text/hunspell-1.7.0-r1/DEFINED_PHASES
- var/db/pkg/app-text/hunspell-1.7.0-r1/DEPEND
- var/db/pkg/app-text/hunspell-1.7.0-r1/DESCRIPTION
- var/db/pkg/app-text/hunspell-1.7.0-r1/EAPI
- var/db/pkg/app-text/hunspell-1.7.0-r1/FEATURES
- var/db/pkg/app-text/hunspell-1.7.0-r1/HOMEPAGE
- var/db/pkg/app-text/hunspell-1.7.0-r1/INHERITED
- var/db/pkg/app-text/hunspell-1.7.0-r1/IUSE
- var/db/pkg/app-text/hunspell-1.7.0-r1/IUSE_EFFECTIVE
- var/db/pkg/app-text/hunspell-1.7.0-r1/KEYWORDS
- var/db/pkg/app-text/hunspell-1.7.0-r1/LDFLAGS
- var/db/pkg/app-text/hunspell-1.7.0-r1/LICENSE
- var/db/pkg/app-text/hunspell-1.7.0-r1/NEEDED
- var/db/pkg/app-text/hunspell-1.7.0-r1/PF
- var/db/pkg/app-text/hunspell-1.7.0-r1/PROVIDES
- var/db/pkg/app-text/hunspell-1.7.0-r1/RDEPEND
- var/db/pkg/app-text/hunspell-1.7.0-r1/REQUIRES
- var/db/pkg/app-text/hunspell-1.7.0-r1/SIZE
- var/db/pkg/app-text/hunspell-1.7.0-r1/SLOT
- var/db/pkg/app-text/hunspell-1.7.0-r1/USE
- var/db/pkg/app-text/hunspell-1.7.0-r1/environment.bz2
- var/db/pkg/app-text/hunspell-1.7.0-r1/hunspell-1.7.0-r1.ebuild
- var/db/pkg/app-text/hunspell-1.7.0-r1/repository
package_cacheimage: ""
runtime:
  name: hunspell
  version: 1.7.0
  category: app-text
  use_flags:
  - ncurses
  - readline
  requires:
  - name: readline
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Hunspell spell checker - an improved replacement for myspell in OOo
  uri:
  - https://github.com/hunspell
  license: MPL-1.1 GPL-2 LGPL-2.1
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
      ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    DEPEND: ncurses? ( sys-libs/ncurses:0= ) readline? ( sys-libs/readline:= ) sys-devel/gettext
    IUSE: ncurses nls readline static-libs l10n_af l10n_bg l10n_ca l10n_cs l10n_cy
      l10n_da l10n_de l10n_de-1901 l10n_el l10n_en l10n_eo l10n_es l10n_et l10n_fo
      l10n_fr l10n_ga l10n_gl l10n_he l10n_hr l10n_hu l10n_ia l10n_id l10n_is l10n_it
      l10n_kk l10n_km l10n_ku l10n_lt l10n_lv l10n_mi l10n_mk l10n_ms l10n_nb l10n_nl
      l10n_nn l10n_pl l10n_pt l10n_pt-BR l10n_ro l10n_ru l10n_sk l10n_sl l10n_sq l10n_sv
      l10n_sw l10n_tn l10n_uk l10n_zu
    RDEPEND: ncurses? ( sys-libs/ncurses:0= ) readline? ( sys-libs/readline:= )
    emerge.packages: app-text/hunspell
    kit: text-kit
    original.package.name: app-text/hunspell
    original.package.slot: "0"
    original.package.version: 1.7.0-r1
